summaryrefslogtreecommitdiffstats
path: root/source/l/gtkspell
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtkspell')
-rwxr-xr-xsource/l/gtkspell/gtkspell.SlackBuild6
-rw-r--r--source/l/gtkspell/gtkspell.enchant-2.diff28
-rw-r--r--source/l/gtkspell/slack-desc2
3 files changed, 33 insertions, 3 deletions
diff --git a/source/l/gtkspell/gtkspell.SlackBuild b/source/l/gtkspell/gtkspell.SlackBuild
index 395789417..b4d6eb3f0 100755
--- a/source/l/gtkspell/gtkspell.SlackBuild
+++ b/source/l/gtkspell/gtkspell.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gtkspell
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/gtkspell.enchant-2.diff.gz | patch -p1 --verbose || exit 1
+
# Regenerate build system to fix newer gtk-doc dropping gtkdoc-mktmpl:
gtkdocize
autoreconf -vif
diff --git a/source/l/gtkspell/gtkspell.enchant-2.diff b/source/l/gtkspell/gtkspell.enchant-2.diff
new file mode 100644
index 000000000..e83595089
--- /dev/null
+++ b/source/l/gtkspell/gtkspell.enchant-2.diff
@@ -0,0 +1,28 @@
+--- ./gtkspell/gtkspell.c.orig 2009-10-09 14:01:47.000000000 -0500
++++ ./gtkspell/gtkspell.c 2021-06-29 14:00:00.570508124 -0500
+@@ -277,7 +277,7 @@
+ get_word_extents_from_mark(spell->buffer, &start, &end, spell->mark_click);
+ word = gtk_text_buffer_get_text(spell->buffer, &start, &end, FALSE);
+
+- enchant_dict_add_to_pwl( spell->speller, word, strlen(word));
++ enchant_dict_add( spell->speller, word, strlen(word));
+
+ gtkspell_recheck_all(spell);
+
+--- ./configure.ac.orig 2009-10-22 21:52:31.000000000 -0500
++++ ./configure.ac 2021-06-29 13:58:26.549513324 -0500
+@@ -12,12 +12,12 @@
+ AM_INIT_AUTOMAKE(AC_PACKAGE_NAME, AC_PACKAGE_VERSION)
+ AC_CONFIG_HEADERS([config.h])
+
+-SPELLER_LIB=-lenchant
++SPELLER_LIB=-lenchant-2
+
+ AC_SUBST(SPELLER_LIB)
+ GTKSPELL_PACKAGES=gtk+-2.0
+ AC_SUBST(GTKSPELL_PACKAGES)
+-PKG_CHECK_MODULES(GTKSPELL, $GTKSPELL_PACKAGES enchant >= 0.4.0 )
++PKG_CHECK_MODULES(GTKSPELL, $GTKSPELL_PACKAGES enchant-2 >= 2.2.0 )
+ AC_SUBST(GTKSPELL_CFLAGS)
+ AC_SUBST(GTKSPELL_LIBS)
+
diff --git a/source/l/gtkspell/slack-desc b/source/l/gtkspell/slack-desc
index a6a309e7e..a46053cc1 100644
--- a/source/l/gtkspell/slack-desc
+++ b/source/l/gtkspell/slack-desc
@@ -12,7 +12,7 @@ gtkspell: GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
gtkspell: in a GtkTextView widget. Right-clicking a misspelled word pops up a
gtkspell: menu of suggested replacements.
gtkspell:
-gtkspell:
+gtkspell: Homepage: http://gtkspell.sourceforge.net
gtkspell:
gtkspell:
gtkspell: